<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Services\Admin\MenuTypeService;

class MenuTypeController extends Controller
{
    protected $menuType;

    public function __construct(MenuTypeService $menuTypeService) {
        parent::__construct();
        $this->menuType = $menuTypeService;
    }

    public function index(){
        $this->response->data = $this->menuType->getAll();
        return $this->json();
    }
}
