<?php

namespace App\Http\Controllers\Landing;

use App\Http\Controllers\Controller;
use App\Services\Landing\KSKService;

class KSKVendorController extends Controller
{
    protected $ksk;

    public function __construct(KSKService $kskService) {
        parent::__construct();
        $this->ksk = $kskService;
    }

    public function index(){
        $data = $this->ksk->getAll();

        $this->response->data = $data;
        return $this->json();
    }

    public function detail($id){
        $this->response->data = $this->ksk->getDataById($id);
        return $this->json();
    }
}
