<?php


namespace App\Lib\Alerting;


use App\Lib\Alerting\Provider\DiscordWebhook;
use Illuminate\Support\ServiceProvider;

class AlertingServiceProvider extends ServiceProvider
{
    public function register()
    {
        $this->app->alias('alerting.provider', AlertingProviderInterface::class);

        $this->app->singleton('alerting.provider', function ($app) {
            return new DiscordWebhook();
        });
    }
}
