<?php

namespace App\Repositories\Landing;

use App\Models\Slider;

class SliderRepository
{
    private $model;

    public function __construct(Slider $model)
    {
        $this->model = $model;
    }

    public function getAll(){
        return $this->model->where([
            ['type', 1],
            ['display', 1]
        ])->latest('position')->get();
    }

    public function detail($id)
    {
        return $this->model->where('id', $id)->first();
    }
}
