<?php

namespace App\Services\Admin\Landing;

use App\Repositories\Admin\Landing\SosialMediaRepository;

class SosialMediaService 
{
    protected $sosialMedia;

    public function __construct(SosialMediaRepository $sosialMedia)
    {
        $this->sosialMedia = $sosialMedia;
    }

    public function getAll()
    {
        return $this->sosialMedia->getAll();
    }

    public function createData($instagram, $facebook, $twitter, $tiktok)
    {
        return $this->sosialMedia->create($instagram, $facebook, $twitter, $tiktok);
    }
    

    public function updateData( $instagram, $facebook, $twitter, $tiktok)
    {
        $data = $this->getAll();
        if(is_null($data)){
            return $this->createData($instagram, $facebook, $twitter, $tiktok);
        } else {
            return $this->sosialMedia->update($instagram, $facebook, $twitter, $tiktok);
        }
    }
}
