<?php

namespace App\Services\Agent;

use App\Repositories\Agent\NotificationRepository;
use App\Repositories\Agent\SliderRepository;

class NotificationService
{
    protected $notification;

    public function __construct(NotificationRepository $notification)
    {
        $this->notification = $notification;
    }

    public function getAllByLimit($limit)
    {   
        return $this->notification->getAllByLimit($limit);
    }

    public function getDataById($id)
    {
        return $this->notification->getDataById($id);
    }
}
