<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;

class MenuSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        // Profile
        \App\Models\Menu::firstOrCreate([
            'name'  => 'Profile'
        ],[
            'name'  => 'Profile',
            'position' => 1
        ]);

        // Activity
        \App\Models\Menu::firstOrCreate([
            'name'  => 'Activity'
        ],[
            'name'  => 'Activity',
            'position' => 2
        ]);

        // Claim
        \App\Models\Menu::firstOrCreate([
            'name'  => 'Claim'
        ],[
            'name'  => 'Claim',
            'position' => 3
        ]);

        // Training Schedule
        \App\Models\Menu::firstOrCreate([
            'name'  => 'Training Schedule'
        ],[
            'name'  => 'Training Schedule',
            'position' => 4
        ]);

        // Contest
        \App\Models\Menu::firstOrCreate([
            'name'  => 'Contest'
        ],[
            'name'  => 'Contest',
            'position' => 5
        ]);

        // Files
        \App\Models\Menu::firstOrCreate([
            'name'  => 'Files'
        ],[
            'name'  => 'Files',
            'position' => 6
        ]);

        // KSK
        \App\Models\Menu::firstOrCreate([
            'name'  => 'KSK'
        ],[
            'name'  => 'KSK',
            'position' => 7
        ]);

        // Stars
        \App\Models\Menu::firstOrCreate([
            'name'  => 'Stars'
        ],[
            'name'  => 'Stars',
            'position' => 8
        ]);

        // Kiseki Chanel
        \App\Models\Menu::firstOrCreate([
            'name'  => 'Kiseki Chanel'
        ],[
            'name'  => 'Kiseki Chanel',
            'position' => 9
        ]);
    }
}
