<?php

namespace App\Exceptions;

use Symfony\Component\HttpKernel\Exception\HttpExceptionInterface;

class AppException extends \Exception implements HttpExceptionInterface
{
    public function getStatusCode(){
        return ($this->getCode() < 100 || $this->getCode() > 600 ) ? 500 : $this->getCode();
    }

    /**
     * Returns response headers.
     *
     * @return array Response headers
     */
    public function getHeaders()
    {
        return [];
    }
}
