<?php

namespace App\Http\Controllers\Agent;

use App\Http\Controllers\Controller;
use Yajra\DataTables\DataTables;
use App\Services\Agent\SliderService;

class SliderController extends Controller
{
    protected $slider;

    public function __construct(SliderService $sliderService) {
        parent::__construct();
        $this->slider = $sliderService;
    }

    public function index()
    {
        $result = $this->slider->getAll();
		return DataTables::of($result)->make();
    }

    public function detail($id)
    {
        $data = $this->slider->getDataById($id);

        $this->response->data = $data;
        return $this->json();
    }
}
