<?php

namespace App\Http\Controllers\Landing;

use App\Http\Controllers\Controller;
use App\Services\Landing\FormService;
use Yajra\DataTables\DataTables;

class FormController extends Controller
{
    protected $form;

    public function __construct(FormService $formService) {
        parent::__construct();
        $this->form = $formService;
    }

    public function index()
    {
        $data = $this->form->getAll();
		return DataTables::of($data)->make();
    }
}
