<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Schedule extends Model
{
    use HasFactory;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'title',
        'banner',
        'description',
        'time',
        'speaker'
    ];

    public function history_agents(){
        return $this->hasMany(HistoryAgent::class);
    }
}
